# Generated from dblink-0.4.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name dblink

Name: rubygem-%{gem_name}
Version: 0.4.3
Release: 1%{?dist}
Summary: Veritrans ruby library
License: MIT
URL: http://dblink.r15.railsrumble.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
CLI utility to share access to your local PostgreSQL server.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/dblink
%{gem_instdir}/bin
%{gem_instdir}/config.ini.erb
%{gem_libdir}
%{gem_instdir}/pgbouncer
%{gem_instdir}/share.pem
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/dblink.gemspec

%changelog
* Mon Apr 18 2022 mockbuilder - 0.4.3-1
- Initial package
